Skip to main content
`Ctrl`+`K`

# SNESMonitorCancel

Clears all the monitor functions for a `SNES` object.

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESMonitorCancel(SNES snes)

Logically Collective

## Input Parameter

- snes - the `SNES` context

## Options Database Key

- -snes_monitor_cancel - cancels all monitors that have been hardwired into a code by calls to `SNESMonitorSet()`, but does not cancel those set via the options database

## Note

There is no way to clear one specific monitor from a `SNES` object.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESMonitorDefault()`, `SNESMonitorSet()`

## Level

intermediate

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages